# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-m2ext
%{!?python_sitearch: %global python_sitearch %(%{__python} -c "from %distutils.sysconfig import get_python_lib; print get_python_lib(1)")}
%global modname m2ext

# The pkgconfig bit in this spec file was taken from m2crypto.spec
# https://apps.fedoraproject.org/packages/m2crypto/sources/spec/

Name:           python-module-m2ext
Version:        0.1
Release:        alt1_3
Summary:        M2Crypto Extensions

Group:          Development/Python
License:        BSD
URL:            http://pypi.python.org/pypi/%{modname}
Source0:        http://pypi.python.org/packages/source/m/%{modname}/%{modname}-%{version}.tar.gz

BuildRequires:  python-devel
BuildRequires:  libssl-devel
BuildRequires:  swig
BuildRequires:  python-module-m2crypto




Source44: import.info
%add_findprov_skiplist %{python_sitelibdir}/%{modname}/_m2ext.so

%description
This package contains some extended functions which are not (yet)
available in M2Crypto http://chandlerproject.org/Projects/MeTooCrypto>
trunk.

%prep
%setup -q -n %{modname}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" ; export CFLAGS
if pkg-config openssl ; then
    CFLAGS="$CFLAGS `pkg-config --cflags openssl`" ; export CFLAGS
    LDFLAGS="$LDFLAGS`pkg-config --libs-only-L openssl`" ; export LDFLAGS
fi

%{__python} setup.py build 

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

chmod 755 %{buildroot}/%{python_sitelibdir}/%{modname}/_m2ext.so


%files
%doc README.rst LICENSE

%{python_sitelibdir}/%{modname}
%{python_sitelibdir}/%{modname}-%{version}*


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_3
- update to new release by fcimport

* Sun Dec 30 2012 Igor Vlasenko <viy@altlinux.ru> 0.1-alt1_2
- initial fc import

